<?php
//include "clase.conexion.php";
class clsPlanning extends clsConexion{
	public $varTitulo 	= "CHECK IN DE HABITACIONES";
	public $varMyTabla  = "_sh_hospedaje";
	public $varMyID  	= "id_hospedaje";
	function FormuBusqueda() {
		$sqlemp = "call spQuery_Lista_Empresa($_SESSION[_CUSE], '','%');";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return false;"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Empresa :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"select", "id"=>"emp", "name"=>"emp", "sql"=>$sqlemp, "ancho"=>"300")))),
									   array("titulo"=>"Fecha :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center",
																					 "valor"=>date( "d/m/Y",time())))
														 	)
											 )									   
									   ),
					  "boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"110", "texto"=>"Buscar",
					  					   "clase"=>"boton_buscar", "click"=>"javascript:xBuscarJS()")
									 )
					);
		return $this->setTablaForm($varTabla);
		}
 	function GridDatos($varForm  = NULL) 
		{
		$varFec = FechaMySql($varForm["femi"]);
		$varEmp = $varForm["emp"];
		
		$target = "sisgeshot/planning_dia.php?emp=".$varEmp."&dia=".$varFec;
		$varReturn = "<img id=\"imag\" name=\"imag\" src=\"".basename($target)."\" border=0 >";
		return $varReturn;
		}
	}
	
?>